﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Maynot.WPF.ViewModel.MaynotTileClasses.Facilities
{
    public class Facility : MaynotTile
    {
        private int _capacity;
        private int _currentPopulation;
        /// <summary>
        /// Property for <see cref="_currentPopulation"/> is the number of people in <see cref="Facility"/>
        /// </summary>
        public int CurrentPopulation { get { return _currentPopulation; } set { _currentPopulation = value; } }
        /// <summary>
        /// Property for <see cref="_capacity"/> is the maximum amount of people in <see cref="Facility"/>
        /// </summary>
        public int Capacity { get { return _capacity; } set { _capacity = value; } }
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Facility";
        /// <summary>
        /// Construct <see cref="Facility"/>.
        /// </summary>
        /// <param name="currentPopulation">Number of people in <see cref="Facility"/></param>
        /// <param name="capacity">Maximum amount of people in <see cref="Facility"/></param>
        /// <param name="buildCost">Cost of building <see cref="Facility"/></param>
        public Facility(int capacity, int currentPopulation, int buildCost)
        {
            Capacity = capacity;
            CurrentPopulation = currentPopulation;
        }
    }

}
