﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Maynot.WPF.ViewModel.MaynotTileClasses.Facilities
{
    public class PoliceStation : Facility
    {
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Rendőrség";
        /// <summary>
        /// Property for getting color of background.
        /// </summary>
        public override SolidColorBrush Background { get; } = new SolidColorBrush(Colors.Blue);
        /// <summary>
        /// Property for getting cost of building.
        /// </summary>
        public override int PriceToBuild { get; } = MaynotPersistence.PoliceStation.buildCost;
        /// <summary>
        /// Property for getting cost of maintenance.
        /// </summary>
        public override int PriceToMaintain { get; } = MaynotPersistence.PoliceStation.maintenanceFee;

        public PoliceStation() : this(100, 0) { }
        public PoliceStation(int capacity, int currentPopulation) : base(capacity, currentPopulation, 100)
        {
            SpriteImage = new BitmapImage(new Uri("/Assets/policeStation.png", UriKind.Relative));
        }
    }
}
