﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Maynot.WPF.ViewModel.MaynotTileClasses.Facilities
{
    public class Stadium : Facility
    {
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Stadion";
        /// <summary>
        /// Property for getting color of background.
        /// </summary>
        public override SolidColorBrush Background { get; } = new SolidColorBrush(Colors.Orange);
        public override int PriceToBuild { get; } = MaynotPersistence.Stadium.buildCost;
        public override int PriceToMaintain { get; } = MaynotPersistence.Stadium.maintenanceFee;
        public Stadium() : this(100, 0, 5000) { }
        public Stadium(int capacity, int currentPopulation, int buildCost) : base(capacity, currentPopulation, buildCost)
        {
            SpriteImage = new BitmapImage(new Uri("/Assets/stadium.png", UriKind.Relative));
        }
    }
}
