﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Maynot.WPF.ViewModel.MaynotTileClasses
{
    public class Forest : MaynotTile
    {
        private int _age;
        private int _buildCost;
        public int Age { get { return _age; } set { _age = value; } }
        public int BuildCost { get { return _buildCost; } set { _buildCost = value; } }
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Erdő";
        /// <summary>
        /// Property for getting color of background.
        /// </summary>
        public override SolidColorBrush Background { get; } = new SolidColorBrush(Colors.ForestGreen);
        public override int PriceToBuild { get; } = MaynotPersistence.Forest.BuildCost;
        public override int PriceToMaintain { get; } = MaynotPersistence.Forest.MaintenanceFee;
        public Forest() : this(0, 5000) { }
        public Forest(int age, int buildCost)
        {
            Age = age;
            BuildCost = buildCost;
            SpriteImage = new BitmapImage(new Uri("/Assets/forest.png", UriKind.Relative));
        }
    }
}
