﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Maynot.WPF.ViewModel.MaynotTileClasses
{
    public class MaynotTile : ViewModelBase
    {
        private bool _canBeDemolished;
        private string _name;
        private Visibility isFlameVisible = Visibility.Hidden;
        private Visibility _isCurrentlyHighlighted = Visibility.Hidden;
        public string? SpriteImagePath { get; set; }

        public static SolidColorBrush BalPanelHighlightColor { get; } = new SolidColorBrush(Colors.LightBlue);
        public static SolidColorBrush BalPanelDefaultColor { get; } = new SolidColorBrush(Colors.Transparent);

        private SolidColorBrush _background;
        private SolidColorBrush _balPanelBackground = new SolidColorBrush(Colors.Transparent);
        private BitmapImage _spriteImage;
        public bool CanBeDemolished { get; private set; }
        public Visibility IsFlameVisible
        {
            get { return isFlameVisible; }
            set
            {
                isFlameVisible = value;
                OnPropertyChanged(nameof(IsFlameVisible));
            }
        }
        public Visibility IsCurrentlyHighlighted
        {
            get { return _isCurrentlyHighlighted; }
            set
            {
                _isCurrentlyHighlighted = value;
                OnPropertyChanged(nameof(IsCurrentlyHighlighted));
            }
        }
        public BitmapImage? SpriteImage
        {
            get { return _spriteImage; }
            set
            {
                _spriteImage = value;
                OnPropertyChanged(nameof(SpriteImage));
            }
        }
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public virtual string DisplayName { get; } // statikusan felülírja az összes gyerekosztáj
        public virtual int PriceToBuild { get; } = 0;
        public virtual int PriceToMaintain { get; } = 0;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged();
            }
        }

        public int X { get; set; }
        public int Y { get; set; }
        public DelegateCommand? ClickCommand { get; set; }
        /// <summary>
        /// Property for getting color of background.
        /// </summary>
        public virtual SolidColorBrush Background
        {
            get
            {
                return _background;
            }
        }
        public virtual SolidColorBrush BalPanelBackground
        {
            get
            {
                return _balPanelBackground;
            }
            set
            {
                _balPanelBackground = value;
                OnPropertyChanged();
            }
        }
    }
}
