﻿using Maynot.WPF.ViewModel.MaynotTileClasses;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using static Maynot.WPF.ViewModel.MaynotTileClasses.Zones.Zone;

namespace Maynot.WPF.ViewModel.MaynotTileClasses.Zones
{
    public class Zone : MaynotTile
    {
        private int _capacity;
        private int _currentPopulation;
        public enum ZoneLevelsView
        {
            SMALL = 1,
            MEDIUM = 2,
            LARGE = 3,
        }
        public ZoneLevelsView ZoneLevelView { get; set; }
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Zóna";
        public override int PriceToBuild { get; } = 0;
        public override int PriceToMaintain { get; } = 0;
        public override SolidColorBrush Background { get; } = new SolidColorBrush(Colors.LightYellow);
        public int CurrentPopulation { get { return _currentPopulation; } set { _currentPopulation = value; } }
        public int Capacity { get { return _capacity; } set { _capacity = value; } }
        public Zone(int currentPopulation, ZoneLevelsView zoneLevelView)
        {
            ZoneLevelView = zoneLevelView;
            CurrentPopulation = currentPopulation;
            Name = "Zóna";
        }
    }

}
