﻿using MaynotPersistence;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Maynot.WPF.ViewModel
{
    public class Person : ViewModelBase
    {
        private float _satisfaction;
        /// <summary>
        /// Property of <see cref="_satisfaction"/>.
        /// </summary>
        public float Satisfaction
        {
            get { return _satisfaction; }
            set
            {
                _satisfaction = value;
                OnPropertyChanged();
            }
        }
        /// <summary>
        /// Property of age.
        /// </summary>
        public int Age { get; set; }
        /// <summary>
        /// Property of level of education.
        /// </summary>
        public EducationLevels EducationLevel { get; set; }
        /// <summary>
        /// Types of education levels.
        /// </summary>
        public enum EducationLevels
        {
            Alapfokú,
            Középfokú,
            Felsőfokú,
            Nyugdíjas
        }
        /// <summary>
        /// Construct new <see cref="Person"/>.
        /// </summary>
        /// <param name="persPerson">create new <see cref="Person"/> from <see cref="MaynotPersistence.Person"/></param>
        public Person(MaynotPersistence.Person persPerson)
        {
            Satisfaction = persPerson.Satisfaction;
            Age = persPerson.Age;
            EducationLevel = (Person.EducationLevels)(int)persPerson.Education;
        }
    }
}
