﻿using MaynotPersistence;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MaynotModel
{
    public enum TransactionType
    {
        BULLDOZER,
        BUILDING,
        MAINTENANCE,
        UPGRADE,
        PENSION,
        INDUSTRIALTAX,
        RESIDENTIALTAX,
        SERVICETAX,
    }
    public class Transaction
    {
        public TransactionType Type { get; }
        public float TransactionAmount { get; }
        public DateTime TransactionDate { get; }
        public Type TileType { get; }
        public Transaction(TransactionType type, float transactionAmount, DateTime date, Type tileType = null)
        {
            if (tileType == null && (type == TransactionType.MAINTENANCE || type == TransactionType.BUILDING || type == TransactionType.BULLDOZER))
            {
                throw new Exception("Maintenance, Building and Bulldozer transactions require a tile");
            }
            Type = type;
            TransactionAmount = transactionAmount;
            TransactionDate = date;
            TileType = tileType;
        }
    }
    public class TransactionEventArgs : EventArgs
    {
        public Transaction transaction;
        public TransactionEventArgs(Transaction transaction)
        {
            this.transaction = transaction;
        }
    }

}
